curl --request PATCH \
--url https://api.jtl-cloud.com/erp/v2/company/change \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"companyName": "<string>",
"owner": "<string>",
"street": "<string>",
"postalCode": "<string>",
"city": "<string>",
"country": "<string>",
"countryIsoCode": "<string>",
"phone": "<string>",
"fax": "<string>",
"emailAddress": "<string>",
"website": "<string>",
"bankCode": "<string>",
"accountNumber": "<string>",
"bankName": "<string>",
"taxId": "<string>",
"iBAN": "<string>",
"bIC": "<string>",
"accountHolder": "<string>",
"creditorId": "<string>",
"payPalEmailAddress": "<string>",
"isSmallBusinessOwner": true,
"dHLIntrashipCustomerId": "<string>",
"uPSCustomerId": "<string>",
"companyVatIdentifiers": [
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"countryIsoCode": "<string>",
"vatIdentifier": "<string>",
"isShippingCountry": true
}
]
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/company/change"
payload = {
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"companyName": "<string>",
"owner": "<string>",
"street": "<string>",
"postalCode": "<string>",
"city": "<string>",
"country": "<string>",
"countryIsoCode": "<string>",
"phone": "<string>",
"fax": "<string>",
"emailAddress": "<string>",
"website": "<string>",
"bankCode": "<string>",
"accountNumber": "<string>",
"bankName": "<string>",
"taxId": "<string>",
"iBAN": "<string>",
"bIC": "<string>",
"accountHolder": "<string>",
"creditorId": "<string>",
"payPalEmailAddress": "<string>",
"isSmallBusinessOwner": True,
"dHLIntrashipCustomerId": "<string>",
"uPSCustomerId": "<string>",
"companyVatIdentifiers": [
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"countryIsoCode": "<string>",
"vatIdentifier": "<string>",
"isShippingCountry": True
}
]
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
companyId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
companyName: '<string>',
owner: '<string>',
street: '<string>',
postalCode: '<string>',
city: '<string>',
country: '<string>',
countryIsoCode: '<string>',
phone: '<string>',
fax: '<string>',
emailAddress: '<string>',
website: '<string>',
bankCode: '<string>',
accountNumber: '<string>',
bankName: '<string>',
taxId: '<string>',
iBAN: '<string>',
bIC: '<string>',
accountHolder: '<string>',
creditorId: '<string>',
payPalEmailAddress: '<string>',
isSmallBusinessOwner: true,
dHLIntrashipCustomerId: '<string>',
uPSCustomerId: '<string>',
companyVatIdentifiers: [
{
id: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
companyId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
countryIsoCode: '<string>',
vatIdentifier: '<string>',
isShippingCountry: true
}
]
})
};
fetch('https://api.jtl-cloud.com/erp/v2/company/change', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
A command to modify an existing company, including identification, contact, banking, and tax information.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The tenant ID for the target ERP instance.
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
Body
Request parameters
A command to modify an existing company, including identification, contact, banking, and tax information. - Request
The unique identifier of the company to modify.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The name of the company.
The owner of the company.
The street address of the company.
The postal code of the company.
The city of the company.
The country name of the company.
The country ISO code of the company.
The phone number of the company.
The fax number of the company.
The email address of the company.
The website URL of the company.
The bank code of the company.
The bank account number of the company.
The bank name of the company.
The tax identification number of the company.
The International Bank Account Number (IBAN) of the company.
The Bank Identifier Code (BIC) of the company.
The account holder name of the company.
The creditor ID for SEPA direct debit.
The PayPal email address of the company.
A value indicating whether the owner of the company is a small business owner (Kleinunternehmer). This affects the VAT handling of the company.
The DHL Intraship customer ID of the company.
The UPS customer ID of the company.
The collection of VAT identifiers for this company. When provided, replaces all existing VAT identifiers.
Show child attributes
Show child attributes
Response
Company was successfully modified
Was this page helpful?